{% extends "layout.html" %}

{% block title %}Kodama - Report{% endblock %}

{% block body %}


<form class="form-signin" action="{{ url_for('report') }}" method="POST">
    <div class="text-center mb-4">
        <h1 class="h3 mb-3 font-weight-normal">Hotel Report</h1>
    </div>
    <hr>

    <!--<label class="control-label" for="date">Date</label>-->
    <!--<input class="form-control" id="date" name="date" placeholder="MM/DD/YYY" type="text"/>-->

    {{ form.from_date.label }}
    {{ form.from_date(class_="form-control") }}
    <!--{% for error in form.from_date.errors %}-->
    <!--<span style="color: red;">[{{ error }}]</span>-->
    <!--{% endfor %}-->
    <p></p>

    {{ form.to_date.label }}
    {{ form.to_date(class_="form-control") }}
    <!--{% for error in form.to_date.errors %}-->
    <!--<span style="color: red;">[{{ error }}]</span>-->
    <!--{% endfor %}-->
    <p></p>

    {{ form.electricity.label }}
    {{ form.electricity(class_="form-control") }}
    {% for error in form.electricity.errors %}
    <span style="color: red;">[{{ error }}]</span>
    {% endfor %}
    <p></p>

    {{ form.water.label }}
    {{ form.water(class_="form-control") }}
    {% for error in form.water.errors %}
    <span style="color: red;">[{{ error }}]</span>
    {% endfor %}
    <p></p>

    {{ form.waste.label }}
    {{ form.waste(class_="form-control") }}
    {% for error in form.waste.errors %}
    <span style="color: red;">[{{ error }}]</span>
    {% endfor %}
    <p></p>

    {{ form.csrf_token }}

    <p></p>
    <p></p>

    <button class="btn btn-lg btn-primary btn-block" type="submit">Submit</button>

</form>

<script type="text/javascript"
        src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.4.1/js/bootstrap-datepicker.min.js"></script>
<link rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.4.1/css/bootstrap-datepicker3.css"/>

<script>
    $(document).ready(function(){
      var date_input=$('input[name="from_date"]'); //our date input has the name "from_date"
      var options={
        format: 'mm/dd/yyyy',
        todayHighlight: true,
        autoclose: true,
      };
      date_input.datepicker(options);
    })
</script>

<script>
    $(document).ready(function(){
      var date_input=$('input[name="to_date"]'); //our date input has the name "to_date"
      var options={
        format: 'mm/dd/yyyy',
        todayHighlight: true,
        autoclose: true,
      };
      date_input.datepicker(options);
    })
</script>

{% endblock %}
